2017-04-28 09:21 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002290OpenFOAM[All Projects] Bugpublic2016-10-12 18:55
Reportertniemi 
Assigned Tohenry 
PrioritylowSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Version4.x 
Summary0002290: tmp deallocation in twoPhaseEulerFoam and reactingTwoPhaseEulerFoam with implicitPhasePressure
DescriptionIn twoPhaseEulerFoam if implicitPhasePressure is on and nAlphaCorr > 1, the solver crashes because alpha1alpha2f gets deallocated during the first iteration of solving alpha. Similar thing happens in reactingTwoPhaseEulerFoam, but instead of crashing, the implicit solution step is omitted in the later iterations because alphaDbyA is no longer valid.

Is there a reason that nAlphaCorr shouldn't be > 1 with implicitPhasePressure or that the implicit step should be solved only once? If not, both problems can be fixed by using () after the terms in laplacian so that they don't get cleared.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007005

henry (manager)

Thanks for the report and suggested fix. While the combination of implicitPhasePressure with nAlphaCorr > 1 is unlikely to be very useful there is no reason why it should not be possible.

Resolved in OpenFOAM-4.x by commit 1e03d68d4f4ebc698c702a5cba367fa28648c6b8

Resolved in OpenFOAM-dev by commit c12573c79967a50b7db2439f898f3a1e6b7eaf41
+Notes

-Issue History
Date Modified Username Field Change
2016-10-11 09:21 tniemi New Issue
2016-10-12 18:55 henry Assigned To => henry
2016-10-12 18:55 henry Status new => resolved
2016-10-12 18:55 henry Resolution open => fixed
2016-10-12 18:55 henry Fixed in Version => 4.x
2016-10-12 18:55 henry Note Added: 0007005
+Issue History